---
title: Neues vor dem LfK! 2025
date: 2025-05-17
authors:
  - name: ODIT.Services
    link: https://odit.services
    image: https://odit.services/img/profile-pic-no_bg.webp
tags:
  - Release
  - Frontend
  - Feedback
  - Tools
excludeSearch: true
description: "Kurz vor dem LfK! 2025 sind noch einige neue Funktionen und Verbesserungen auf der Plattform verfügbar. Dieser Beitrag gibt einen Überblick über die wichtigsten Änderungen."
lang: de
---

In unter einer Woche findet der LfK! 2025 statt und wir haben noch einige neue Funktionen und Verbesserungen auf der Plattform implementiert.
Dieser Beitrag gibt einen Überblick über die wichtigsten Änderungen.

## Frontend

Vor kurzem kam im Frontend für Admins die [Schnelle Kartenzuweisung](../2025-04-25_newfeatures#schnelle-läufer--karten-zuordnung) hinzu, die es ermöglicht, Karten schnell und einfach zuzuweisen.
Nach der guten Erfahrung mit diesem neuen Feature, haben wir noch ein paar weitere Tools ergänzt, die Admins und Helfern die Arbeit erleichtern sollen.

### Karten ersetzen

Gerade am Vormittag des Events kommt es häufig vor, dass Karten verloren gehen oder beschädigt werden.
Um die Arbeit der Helfer:innen zu erleichtern, haben wir ein neues Feature implementiert, das es ermöglicht, Karten schnell zu ersetzen.

Dabei kann die Läufer:in per ID oder Name gesucht werden und anschließend die Karte ersetzt werden, indem die neue Karte via Barcodescanner oder Smartphone-Kamera gescannt wird.

![Karte ersetzen](/images/blog/2025-05-19_replace_card.png)

### Mobiler Scanclient

Traditionell werden die Läuferkarten am Verantstaltungstag mit Hand-Barcode-Scannern gescannt, um die Rundenzeiten zu erfassen.
Dies ist auch immernoch die beste Methode, um die Rundenzeiten zu erfassen, da die Hand-Scanner eine hohe Scanrate haben und auch bei schlechten Lichtverhältnissen gut funktionieren.
Allerdings ist es nicht immer möglich, Hand-Scanner zu verwenden, z.B. wenn die Helfer:innen keine Hand-Scanner haben oder die Hand-Scanner nicht funktionieren.

Daher haben wir einen neuen mobilen Scanclient entwickelt, der es ermöglicht, Rundenzeiten mit einem Smartphone zu scannen.
Der Mobile Scanclient nutzt die Kamera des Smartphones, um Barcodes zu scannen und die Rundenzeiten zu erfassen.

![Mobiler Scanclient](/images/blog/2025-05-19_mobile_scanclient.png)

### Sponsoring-Schnellanlage

Tradition werden wenige Tage vor dem Event die Sponsoring-Verträge der Teilnehmer:innen eingesammelt und manuell über das Frontend eingepflegt.
Dabei musste bisher in zwei Ansichten gearbeitet werden:

1. In der Spnsoren-Übersicht, um Sponsoren zu suchen und/oder zu erstellen.
2. In der Sponsoring-Übersicht, um die Sponsorings zu ersten und zu bearbeiten.

In der neuen Schnelleingabe können Sponsoren und Sponsoring-Verträge in einer Ansicht erstellt werden. Dazu müssen nur folgende Schritte durchgeführt werden:

1. Läufer:in suchen (nach Name oder ID)
2. Sponsor Suchen oder neu erstellen
3. Betrag pro Kilometer eingeben
4. Sponsoring erstellen

![Neue Sponsoring-Schnelleingabe](/images/blog/2025-05-19_sponsoring_quick_add.png)

## Feedback

Wir wollten dieses Jahr beim LfK! 2025 QR-Codes aufhängen, über die uns Teilnehmer:innen Feedback geben können. Dafür haben wir verschiedene Tools ausprobiert und waren aber mit keinem wirklich zufrieden.

Was macht der gute Programmierer in so einem Fall? Er baut sich sein eigenes Tool! Und genau das haben wir getan.
Das neue Tool nimmt Feedback von Teilnehmer:innen entgegen, wobei eine Sterne-Wertung und ein Kommentar (+ optional die eigene E-Mail Adresse) abgegeben werden können.
![Feedback Form](/images/blog/2025-05-19_feedback_form.png)

In einem eigenen Admin-Bereich können die abgegebenen Bewertungen und Kommentare eingesehen und verwaltet werden.
Dabei gibt es neben ein paar Statistiken auch eine rudimentäre Sentiment-Analyse, die die abgegebenen Kommentare in positiv, neutral und negativ einteilt.
![Feedback Admin](/images/blog/2025-05-19_feedback_admin.png)
