---
title: News before LfK! 2025
date: 2025-05-17
authors:
  - name: ODIT.Services
    link: https://odit.services
    image: https://odit.services/img/profile-pic-no_bg.webp
tags:
  - Release
  - Frontend
  - Feedback
  - Tools
excludeSearch: true
description: "Shortly before LfK! 2025, several new features and improvements have been added to the platform. This post provides an overview of the most important changes."
lang: en
---

In less than a week, LfK! 2025 will take place, and we have implemented several new features and improvements on the platform.
This post provides an overview of the most important changes.

## Frontend

Recently, we added the [Quick Card Assignment](../2025-04-25_newfeatures#quick-runner--card-assignment) feature to the admin frontend, which makes it possible to assign cards quickly and easily.
After the positive experience with this new feature, we have added a few more tools to make the work of admins and helpers easier.

### Card Replacement

Especially on the morning of the event, cards often get lost or damaged.
To make the work of helpers easier, we have implemented a new feature that allows for quick card replacement.

The runner can be searched by ID or name, and then the card can be replaced by scanning the new card using a barcode scanner or smartphone camera.

![Replace Card](/images/blog/2025-05-19_replace_card.png)

### Mobile Scan Client

Traditionally, runner cards are scanned with handheld barcode scanners on the event day to record lap times.
This is still the best method to capture lap times, as handheld scanners have a high scan rate and work well even in poor lighting conditions.
However, it's not always possible to use handheld scanners, e.g., when helpers don't have handheld scanners or the scanners don't work.

Therefore, we have developed a new mobile scan client that allows for recording lap times with a smartphone.
The mobile scan client uses the smartphone's camera to scan barcodes and record lap times.

![Mobile Scan Client](/images/blog/2025-05-19_mobile_scanclient.png)

### Quick Sponsorship Creation

Traditionally, a few days before the event, participants' sponsorship contracts are collected and manually entered through the frontend.
Until now, this required working in two different views:

1. In the sponsors overview to search for and/or create sponsors.
2. In the sponsorship overview to create and edit sponsorships.

In the new quick entry form, sponsors and sponsorship contracts can be created in a single view. To do this, only the following steps need to be completed:

1. Search for a runner (by name or ID)
2. Search for or create a new sponsor
3. Enter the amount per kilometer
4. Create the sponsorship

![New Quick Sponsorship Creation](/images/blog/2025-05-19_sponsoring_quick_add.png)

## Feedback

This year at LfK! 2025, we wanted to post QR codes that participants could use to give us feedback. We tried various tools for this but weren't really satisfied with any of them.

What does a good programmer do in such a case? He builds his own tool! And that's exactly what we did.
The new tool accepts feedback from participants, allowing them to give a star rating and a comment (+ optionally their own email address).
![Feedback Form](/images/blog/2025-05-19_feedback_form.png)

In a dedicated admin area, the submitted ratings and comments can be viewed and managed.
In addition to some statistics, there is also a rudimentary sentiment analysis that categorizes the submitted comments as positive, neutral, or negative.
![Feedback Admin](/images/blog/2025-05-19_feedback_admin.png)
